<?php
session_start();
include 'config.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $email = trim($_POST['email']);
    $password = trim($_POST['password']);

    if (!empty($email) && !empty($password)) {
        // Query to check email and password match
        $sql = "SELECT * FROM login WHERE email = ? AND password = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("ss", $email, $password);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows == 1) {
            // Credentials are correct - create session and return success
            $_SESSION['loggedin'] = true;
            $_SESSION['email'] = $email;
            $_SESSION['success_message'] = "Logged In successfully!";
            echo "success"; // AJAX will detect this response and redirect
        } else {
            echo "error"; // Incorrect credentials
        }
    }
}

$conn->close();
?>
