<?php
session_start(); // Start session
header("Content-Type: text/plain"); // Send plain text response
error_reporting(E_ALL);
ini_set('display_errors', 1);

$host = "localhost"; 
$username = "spcsolar_doctor";  
$password = "Doctor@cgs";      
$database = "spcsolar_doctor"; 

$conn = new mysqli($host, $username, $password, $database);

if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $title = isset($_POST['title']) ? trim($_POST['title']) : "";
    $description = isset($_POST['description']) ? trim($_POST['description']) : "";
    $imageName = "";
    $createdOn = date("F j, Y");

    if (empty($title) || empty($description)) {
        die("Title and description are required.");
    }

    // Handle image upload
    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $uploadDir = "Blog/";

        if (!is_dir($uploadDir) && !mkdir($uploadDir, 0777, true) && !is_dir($uploadDir)) {
            die("Failed to create upload directory.");
        }

        $imageName = basename($_FILES['image']['name']); // Keep original filename
        $uploadPath = $uploadDir . $imageName;

        if (!move_uploaded_file($_FILES['image']['tmp_name'], $uploadPath)) {
            die("Failed to upload image.");
        }
    } else {
        die("Please select an image.");
    }

    $stmt = $conn->prepare("INSERT INTO blog (title, image_name, description, created_on) VALUES (?, ?, ?, ?)");
    if (!$stmt) {
        die("Database error: " . $conn->error);
    }

    $stmt->bind_param("ssss", $title, $imageName, $description, $createdOn);

    if ($stmt->execute()) {
        $_SESSION['success_message'] = "Blog uploaded successfully!";
        echo "success"; // This will be checked in AJAX response
    } else {
        echo "Failed to upload blog.";
    }

    $stmt->close();
    $conn->close();
}
?>
